## yakuake 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(yakuake VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200)

### Security concerns about sendText and runCommand dbus methods being public
option(REMOVE_SENDTEXT_RUNCOMMAND_DBUS_METHODS "yakuake: remove runCommand dbus methods" OFF)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Archive
    Config
    CoreAddons
    Crash
    DBusAddons
    GlobalAccel
    I18n
    IconThemes
    KIO
    NewStuff
    Notifications
    NotifyConfig
    Parts
    WidgetsAddons
    WindowSystem
)

if(NOT APPLE)
  find_package(X11)
  set(HAVE_X11 ${X11_FOUND})

  if(X11_FOUND)
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
  endif(X11_FOUND)

  find_package(KF5Wayland 5.5 CONFIG)
  set(HAVE_KWAYLAND ${KF5Wayland_FOUND})
endif(NOT APPLE)

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)

configure_file(org.kde.yakuake.service.in
	       ${CMAKE_CURRENT_BINARY_DIR}/org.kde.yakuake.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.yakuake.service
	DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

add_subdirectory(app)
add_subdirectory(data)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== data/CMakeLists.txt ===
add_subdirectory(icons)
add_subdirectory(skins)

install(FILES org.kde.yakuake.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.yakuake.appdata.xml DESTINATION  ${CMAKE_INSTALL_METAINFODIR})
install(FILES yakuake.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== data/skins/default/CMakeLists.txt ===
install(FILES
    title.skin
    tabs.skin
    icon.svg
    DESTINATION ${DATA_INSTALL_DIR}/yakuake/skins/default)

install(FILES
    tabs/add_down.svg
    tabs/add_up.svg
    tabs/back_image.svg
    tabs/close_down.svg
    tabs/close_up.svg
    tabs/left_corner.svg
    tabs/lock.svg
    tabs/right_corner.svg
    tabs/selected_back.svg
    tabs/selected_left.svg
    tabs/selected_right.svg
    tabs/separator.svg
    tabs/unselected_back.svg
    tabs/unselected_left.svg
    tabs/unselected_right.svg
    DESTINATION ${DATA_INSTALL_DIR}/yakuake/skins/default/tabs)

install(FILES
    title/back.svg
    title/config_down.svg
    title/config_up.svg
    title/focus_down.svg
    title/focus_over.svg
    title/focus_up.svg
    title/left.svg
    title/quit_down.svg
    title/quit_up.svg
    title/right.svg
    DESTINATION ${DATA_INSTALL_DIR}/yakuake/skins/default/title)

=== debian/changelog ===
yakuake (21.12.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Mar 2022 11:46:25 +0000

yakuake (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Cherry-pick upstream patch to fix slide effect on Wayland.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 17:12:52 +0100

yakuake (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:21:02 +0000

yakuake (21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 12:16:37 +0100

yakuake (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:27:37 +0000

yakuake (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:35:27 +0000

yakuake (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:32:27 +0000

yakuake (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:15:27 +0000

yakuake (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:27:51 +0000

yakuake (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:34:10 +0000

yakuake (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:50:00 +0000

yakuake (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:42:30 +0900

yakuake (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 13:57:56 +0900

=== debian/control ===
Source: yakuake
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82~),
               gettext,
               libkf5archive-dev (>= 5.82~),
               libkf5config-dev (>= 5.82~),
               libkf5coreaddons-dev (>= 5.82~),
               libkf5crash-dev (>= 5.82~),
               libkf5dbusaddons-dev (>= 5.82~),
               libkf5globalaccel-dev (>= 5.82~),
               libkf5i18n-dev (>= 5.82~),
               libkf5iconthemes-dev (>= 5.82~),
               libkf5kio-dev (>= 5.82~),
               libkf5newstuff-dev (>= 5.82~),
               libkf5notifications-dev (>= 5.82~),
               libkf5notifyconfig-dev (>= 5.82~),
               libkf5parts-dev (>= 5.82~),
               libkf5wayland-dev (>= 4:5.5~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.82~),
               libkf5windowsystem-dev (>= 5.82~),
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.4.2),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/en/yakuake
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
Rules-Requires-Root: no

Package: yakuake
Architecture: any
Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends}
Description: Quake-style terminal emulator based on KDE Konsole technology
 YaKuake is inspired from the terminal in the Quake game: when you press a key
 (by default F12, but that can be changed) a terminal window slides down from
 the top of the screen. Press the key again, and the terminal slides back.
 .
 It is faster than a keyboard shortcut because it is already loaded into memory
 and as such is very useful to anyone who frequently finds themselves switching
 in and out of terminal sessions.

## yakuake 22.08.1

=== debian/changelog ===
yakuake (22.08.1-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Sep 2022 07:29:29 +0100

yakuake (22.08.1-1) unstable; urgency=medium

  * New upstream release
  * Upgrade S-V to 4.6.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Sep 2022 18:12:11 +0200

yakuake (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:49:59 +0100

yakuake (22.08.0-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Aug 2022 10:21:10 +0100

yakuake (22.08.0-2) unstable; urgency=medium

  * Add myself to Uploaders
  * Bump KF5 B-D versions from 5.89 to 5.90, as required from 20.07.80

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Aug 2022 23:24:03 +0200

yakuake (22.08.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 10:23:35 +0100

yakuake (22.08.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes FTBFS (Closes: #1017130)

  [ James Tocknell ]
  * Add x-terminal-emulator to provides

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Aug 2022 08:36:13 +0200

yakuake (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:59:03 +0100

yakuake (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:35:20 +0100

yakuake (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:37:22 +0100

yakuake (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:12:05 +0100

yakuake (22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Drop patches applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 28 May 2022 10:16:01 +0200

yakuake (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:11:31 +0100

yakuake (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Drop included upstream-fix-slide-effect-on-wayland-7a319db4.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:58:32 +0100

=== debian/control ===
Source: yakuake
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Didier Raboud <odyx@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90~),
               gettext,
               libkf5archive-dev (>= 5.90~),
               libkf5config-dev (>= 5.90~),
               libkf5coreaddons-dev (>= 5.90~),
               libkf5crash-dev (>= 5.90~),
               libkf5dbusaddons-dev (>= 5.90~),
               libkf5globalaccel-dev (>= 5.90~),
               libkf5i18n-dev (>= 5.90~),
               libkf5iconthemes-dev (>= 5.90~),
               libkf5kio-dev (>= 5.90~),
               libkf5newstuff-dev (>= 5.90~),
               libkf5notifications-dev (>= 5.90~),
               libkf5notifyconfig-dev (>= 5.90~),
               libkf5parts-dev (>= 5.90~),
               libkf5wayland-dev (>= 4:5.90~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.90~),
               libkf5windowsystem-dev (>= 5.90~),
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.4.2),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/yakuake
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
Rules-Requires-Root: no

Package: yakuake
Architecture: any
Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends}
Provides: x-terminal-emulator
Description: Quake-style terminal emulator based on KDE Konsole technology
 YaKuake is inspired from the terminal in the Quake game: when you press a key
 (by default F12, but that can be changed) a terminal window slides down from
 the top of the screen. Press the key again, and the terminal slides back.
 .
 It is faster than a keyboard shortcut because it is already loaded into memory
 and as such is very useful to anyone who frequently finds themselves switching
 in and out of terminal sessions.

## yakuake 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(yakuake VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.90")
set (CMAKE_CXX_STANDARD 20)
set (CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMGenerateDBusServiceFile)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)

### Security concerns about sendText and runCommand dbus methods being public
option(REMOVE_SENDTEXT_RUNCOMMAND_DBUS_METHODS "yakuake: remove runCommand dbus methods" OFF)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Archive
    Config
    CoreAddons
    Crash
    DBusAddons
    GlobalAccel
    I18n
    IconThemes
    KIO
    NewStuff
    Notifications
    NotifyConfig
    Parts
    WidgetsAddons
    WindowSystem
)

if(NOT APPLE)
    option(WITHOUT_X11 "Build without X11 integration (skips finding X11)" OFF)
    if(NOT WITHOUT_X11)
        find_package(X11)
        set(HAVE_X11 ${X11_FOUND})
        if(X11_FOUND)
            if (QT_MAJOR_VERSION EQUAL "5")
                find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
            else()
                find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
            endif()
        endif()
    endif()

    find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG)
    set(HAVE_KWAYLAND ${KF5Wayland_FOUND})
endif()

add_subdirectory(app)
add_subdirectory(data)

ki18n_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
configure_file(config-yakuake.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-yakuake.h)

add_executable(yakuake)

target_sources(yakuake PRIVATE
    config/appearancesettings.cpp
    config/appearancesettings.h
    config/skinlistdelegate.cpp
    config/skinlistdelegate.h
    config/windowsettings.cpp
    config/windowsettings.h
    firstrundialog.cpp
    firstrundialog.h
    main.cpp
    mainwindow.cpp
    mainwindow.h
    session.cpp
    session.h
    sessionstack.cpp
    sessionstack.h
    skin.cpp
    skin.h
    splitter.cpp
    splitter.h
    tabbar.cpp
    tabbar.h
    terminal.cpp
    terminal.h
    titlebar.cpp
    titlebar.h
    visualeventoverlay.cpp
    visualeventoverlay.h
)

ki18n_wrap_ui(yakuake
    firstrundialog.ui
    config/windowsettings.ui
    config/behaviorsettings.ui
    config/appearancesettings.ui
)

kconfig_add_kcfg_files(yakuake config/settings.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*-apps-yakuake.png")
ecm_add_app_icon(yakuake_SRCS ICONS ${ICONS_SRCS})


target_link_libraries(yakuake
    Qt::Widgets
    KF5::Archive
    KF5::ConfigGui
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::GlobalAccel
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::NewStuff
    KF5::Notifications
    KF5::NotifyConfig
    KF5::Parts
    KF5::WidgetsAddons
    KF5::WindowSystem)

if(HAVE_X11)
    if (TARGET Qt5::X11Extras)
        target_link_libraries(yakuake Qt5::X11Extras)
    elseif (TARGET Qt6::Gui)
        target_link_libraries(yakuake Qt6::GuiPrivate) # qtx11extras_p.h in knotificationrestrictions
    endif()
endif()

if(KF5Wayland_FOUND)
  target_link_libraries(yakuake KF5::WaylandClient)
endif()

install(TARGETS yakuake ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES yakuake.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== debian/changelog ===
yakuake (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:08 +0100

yakuake (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:57:41 +0100

yakuake (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:05:07 +0100

yakuake (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:12 +0100

yakuake (22.08.3-1) unstable; urgency=medium

  [ Didier Raboud ]
  * New upstream release
  * Cleanup lintian overrides

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake.

 -- Didier Raboud <odyx@debian.org>  Sat, 05 Nov 2022 18:15:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -27,21 +26,22 @@
                libkf5wayland-dev (>= 4:5.90~) [linux-any],
                libkf5widgetsaddons-dev (>= 5.90~),
                libkf5windowsystem-dev (>= 5.90~),
-               libqt5svg5-dev (>= 5.15.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
+               libqt5svg5-dev (>= 5.15.2~),
+               libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                pkg-kde-tools (>= 0.4.2),
-               qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.1
+               qt6-base-dev,
+               qtbase5-dev (>= 5.15.2~),
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake
 Architecture: any
-Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends}
-Provides: x-terminal-emulator
+Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends},
+Provides: x-terminal-emulator,
 Description: Quake-style terminal emulator based on KDE Konsole technology
  YaKuake is inspired from the terminal in the Quake game: when you press a key
  (by default F12, but that can be changed) a terminal window slides down from

## yakuake 23.08.1

=== debian/changelog ===
yakuake (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:43 +0100

yakuake (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:35 +0100

yakuake (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:58 +0100

yakuake (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:47 +0100

yakuake (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:04:26 +0100

yakuake (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:38 +0000

yakuake (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:32:11 -0600

yakuake (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:22:47 +0000

yakuake (22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Dec 2022 10:37:37 +0000

yakuake (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:19:34 +0000

yakuake (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:15:45 +0000

yakuake (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:57:24 +0000

yakuake (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:18:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -32,16 +33,16 @@
                pkg-kde-tools (>= 0.4.2),
                qt6-base-dev,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake
 Architecture: any
-Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends},
-Provides: x-terminal-emulator,
+Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends}
+Provides: x-terminal-emulator
 Description: Quake-style terminal emulator based on KDE Konsole technology
  YaKuake is inspired from the terminal in the Quake game: when you press a key
  (by default F12, but that can be changed) a terminal window slides down from

## yakuake 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,19 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(yakuake VERSION ${RELEASE_SERVICE_VERSION})
 
 set (QT_MIN_VERSION "5.15.2")
-set (KF5_MIN_VERSION "5.90")
+set (KF_MIN_VERSION "5.91")
 set (CMAKE_CXX_STANDARD 20)
 set (CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -24,17 +24,26 @@
 include(FeatureSummary)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 include(ECMGenerateDBusServiceFile)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.100.0
+    )
 
 ### Security concerns about sendText and runCommand dbus methods being public
 option(REMOVE_SENDTEXT_RUNCOMMAND_DBUS_METHODS "yakuake: remove runCommand dbus methods" OFF)
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg)
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED
     Archive
     Config
     CoreAddons
@@ -66,8 +75,8 @@
         endif()
     endif()
 
-    find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG)
-    set(HAVE_KWAYLAND ${KF5Wayland_FOUND})
+    find_package(KF${KF_MAJOR_VERSION}Wayland ${KF_MIN_VERSION} CONFIG)
+    set(HAVE_KWAYLAND ${KF${KF_MAJOR_VERSION}Wayland_FOUND})
 endif()
 
 add_subdirectory(app)

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -47,21 +47,21 @@
 
 target_link_libraries(yakuake
     Qt::Widgets
-    KF5::Archive
-    KF5::ConfigGui
-    KF5::CoreAddons
-    KF5::Crash
-    KF5::DBusAddons
-    KF5::GlobalAccel
-    KF5::I18n
-    KF5::IconThemes
-    KF5::KIOCore
-    KF5::NewStuff
-    KF5::Notifications
-    KF5::NotifyConfig
-    KF5::Parts
-    KF5::WidgetsAddons
-    KF5::WindowSystem)
+    KF${KF_MAJOR_VERSION}::Archive
+    KF${KF_MAJOR_VERSION}::ConfigGui
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Crash
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::GlobalAccel
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::IconThemes
+    KF${KF_MAJOR_VERSION}::KIOCore
+    KF${KF_MAJOR_VERSION}::NewStuffWidgets
+    KF${KF_MAJOR_VERSION}::Notifications
+    KF${KF_MAJOR_VERSION}::NotifyConfig
+    KF${KF_MAJOR_VERSION}::Parts
+    KF${KF_MAJOR_VERSION}::WidgetsAddons
+    KF${KF_MAJOR_VERSION}::WindowSystem)
 
 if(HAVE_X11)
     if (TARGET Qt5::X11Extras)
@@ -71,8 +71,8 @@
     endif()
 endif()
 
-if(KF5Wayland_FOUND)
-  target_link_libraries(yakuake KF5::WaylandClient)
+if(KF${KF_MAJOR_VERSION}Wayland_FOUND)
+  target_link_libraries(yakuake KF${KF_MAJOR_VERSION}::WaylandClient)
 endif()
 
 install(TARGETS yakuake ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
yakuake (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:41:34 +1100

yakuake (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:33:03 +0000

yakuake (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:34:56 -0700

yakuake (23.08.4-0ubuntu2) noble; urgency=medium

  * Do not build depend on qt6-base-dev yet, as we are still doing Qt5
    only builds.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Dec 2023 14:16:04 +0000

yakuake (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:54 +0000

yakuake (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:45:21 +0000

yakuake (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:49 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                pkg-kde-tools (>= 0.4.2),
-               qt6-base-dev,
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/yakuake

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

## yakuake 24.08.1

=== debian/changelog ===
yakuake (24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:37 +0100

yakuake (24.08.0-0ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 
  * New upstream release (24.08.0). 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 29 Aug 2024 10:33:07 -0700

yakuake (24.05.2-1) experimental; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (24.05.2-1).
  * Update build-deps with info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Change pkg-kde-tools B-D to dh-sequence-kf6 and update d/rules to
    match.
  * Add versioned dependency on konsole-kpart.

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 18 Jul 2024 11:55:56 -0400

yakuake (23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 21 Sep 2023 19:38:35 -0400

=== debian/control ===
Source: yakuake
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Didier Raboud <odyx@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kwayland-dev (>= 4:5.240.0~) [linux-any],
               libkf6archive-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6globalaccel-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6newstuff-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6notifyconfig-dev (>= 5.240.0~),
               libkf6parts-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libx11-dev,
               qt6-base-dev (>= 6.5.0),
               qt6-svg-dev (>= 6.5.0),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/yakuake
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
Rules-Requires-Root: no

Package: yakuake
Architecture: any
Depends: konsole-kpart (>= 24.05~), ${misc:Depends}, ${shlibs:Depends},
Provides: x-terminal-emulator,
Description: Quake-style terminal emulator based on KDE Konsole technology
 YaKuake is inspired from the terminal in the Quake game: when you press a key
 (by default F12, but that can be changed) a terminal window slides down from
 the top of the screen. Press the key again, and the terminal slides back.
 .
 It is faster than a keyboard shortcut because it is already loaded into memory
 and as such is very useful to anyone who frequently finds themselves switching
 in and out of terminal sessions.

## yakuake 24.08.2

=== debian/changelog ===
yakuake (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Bump runtime dependency on konsole-kpart.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 09:04:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -34,13 +33,13 @@
                qt6-svg-dev (>= 6.5.0),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake
 Architecture: any
-Depends: konsole-kpart (>= 24.05~), ${misc:Depends}, ${shlibs:Depends},
+Depends: konsole-kpart (>= 24.08~), ${misc:Depends}, ${shlibs:Depends},
 Provides: x-terminal-emulator,
 Description: Quake-style terminal emulator based on KDE Konsole technology
  YaKuake is inspired from the terminal in the Quake game: when you press a key

## yakuake 24.12.1

=== debian/changelog ===
yakuake (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 16 Jan 2025 12:25:16 +0100

yakuake (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:22:42 +0100

yakuake (24.08.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 00:47:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,28 @@
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Didier Raboud <odyx@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 5.240.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.3.0~),
                gettext,
                kwayland-dev (>= 4:5.240.0~) [linux-any],
-               libkf6archive-dev (>= 5.240.0~),
-               libkf6config-dev (>= 5.240.0~),
-               libkf6coreaddons-dev (>= 5.240.0~),
-               libkf6crash-dev (>= 5.240.0~),
-               libkf6dbusaddons-dev (>= 5.240.0~),
-               libkf6globalaccel-dev (>= 5.240.0~),
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6iconthemes-dev (>= 5.240.0~),
-               libkf6kio-dev (>= 5.240.0~),
-               libkf6newstuff-dev (>= 5.240.0~),
-               libkf6notifications-dev (>= 5.240.0~),
-               libkf6notifyconfig-dev (>= 5.240.0~),
-               libkf6parts-dev (>= 5.240.0~),
-               libkf6statusnotifieritem-dev (>= 5.240.0~),
-               libkf6widgetsaddons-dev (>= 5.240.0~),
-               libkf6windowsystem-dev (>= 5.240.0~),
+               libkf6archive-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.3.0~),
+               libkf6coreaddons-dev (>= 6.3.0~),
+               libkf6crash-dev (>= 6.3.0~),
+               libkf6dbusaddons-dev (>= 6.3.0~),
+               libkf6globalaccel-dev (>= 6.3.0~),
+               libkf6i18n-dev (>= 6.3.0~),
+               libkf6iconthemes-dev (>= 6.3.0~),
+               libkf6kio-dev (>= 6.3.0~),
+               libkf6newstuff-dev (>= 6.3.0~),
+               libkf6notifications-dev (>= 6.3.0~),
+               libkf6notifyconfig-dev (>= 6.3.0~),
+               libkf6parts-dev (>= 6.3.0~),
+               libkf6statusnotifieritem-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.3.0~),
+               libkf6windowsystem-dev (>= 6.3.0~),
                libx11-dev,
                qt6-base-dev (>= 6.5.0),
                qt6-svg-dev (>= 6.5.0),

## yakuake 24.12.2

=== debian/changelog ===
yakuake (24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Mar 2025 18:59:25 +0100

## yakuake 24.12.3

=== app/CMakeLists.txt ===
configure_file(config-yakuake.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-yakuake.h)

add_executable(yakuake)

target_sources(yakuake PRIVATE
    config/appearancesettings.cpp
    config/appearancesettings.h
    config/skinlistdelegate.cpp
    config/skinlistdelegate.h
    config/windowsettings.cpp
    config/windowsettings.h
    firstrundialog.cpp
    firstrundialog.h
    main.cpp
    mainwindow.cpp
    mainwindow.h
    session.cpp
    session.h
    sessionstack.cpp
    sessionstack.h
    skin.cpp
    skin.h
    splitter.cpp
    splitter.h
    tabbar.cpp
    tabbar.h
    terminal.cpp
    terminal.h
    titlebar.cpp
    titlebar.h
    visualeventoverlay.cpp
    visualeventoverlay.h
)

ki18n_wrap_ui(yakuake
    firstrundialog.ui
    config/windowsettings.ui
    config/behaviorsettings.ui
    config/appearancesettings.ui
)

kconfig_add_kcfg_files(yakuake config/settings.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*-apps-yakuake.png")
ecm_add_app_icon(yakuake_SRCS ICONS ${ICONS_SRCS})


target_link_libraries(yakuake
    Qt::Widgets
    KF6::Archive
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::Crash
    KF6::DBusAddons
    KF6::GlobalAccel
    KF6::I18n
    KF6::IconThemes
    KF6::KIOCore
    KF6::NewStuffWidgets
    KF6::Notifications
    KF6::NotifyConfig
    KF6::Parts
    KF6::WidgetsAddons
    KF6::WindowSystem
    KF6::StatusNotifierItem
)

if(HAVE_X11)
    if (TARGET Qt6::Gui)
        target_link_libraries(yakuake Qt6::GuiPrivate) # qtx11extras_p.h
    endif()
endif()

if(KWayland_FOUND)
  target_link_libraries(yakuake Plasma::KWaylandClient)
endif()

install(TARGETS yakuake ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES yakuake.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== data/skins/CMakeLists.txt ===
install(FILES README DESTINATION ${KDE_INSTALL_DATADIR}/yakuake/skins)

add_subdirectory(default)
add_subdirectory(legacy)
add_subdirectory(plastik_light)
add_subdirectory(plastik_dark)

=== debian/changelog ===
yakuake (24.12.3-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:29 -0500

yakuake (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 15:39:53 +0000

yakuake (24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 16:06:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -33,8 +34,8 @@
                qt6-svg-dev (>= 6.5.0),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake

## yakuake 25.03.90

=== debian/changelog ===
yakuake (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 23:14:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Didier Raboud <odyx@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-           Didier Raboud <odyx@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
@@ -31,11 +29,12 @@
                libkf6windowsystem-dev (>= 6.3.0~),
                libx11-dev,
                qt6-base-dev (>= 6.5.0),
+               qt6-base-private-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake

## yakuake 25.04.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(yakuake VERSION ${RELEASE_SERVICE_VERSION})

# KF6 only
set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.3.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMGenerateDBusServiceFile)

ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.12.0
    )

### Security concerns about sendText and runCommand dbus methods being public
option(REMOVE_SENDTEXT_RUNCOMMAND_DBUS_METHODS "yakuake: remove runCommand dbus methods" OFF)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg)
if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
   find_package(Qt6GuiPrivate ${QT_MIN_VERSION} REQUIRED NO_MODULE)
endif()
find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    Archive
    Config
    CoreAddons
    Crash
    DBusAddons
    GlobalAccel
    I18n
    IconThemes
    KIO
    NewStuff
    Notifications
    NotifyConfig
    Parts
    WidgetsAddons
    WindowSystem
    StatusNotifierItem
)

option(WITH_X11 "Build with X11 integration" ON)
if(WITH_X11)
    set(HAVE_X11 TRUE)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Gui)
else()
    set(HAVE_X11 FALSE)
endif()

find_package(KWayland CONFIG)
set(HAVE_KWAYLAND ${KWayland_FOUND})

add_subdirectory(app)
add_subdirectory(data)

ki18n_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -66,7 +66,7 @@
 )
 
 if(HAVE_X11)
-    if (TARGET Qt6::Gui)
+    if(TARGET Qt6::Gui)
         target_link_libraries(yakuake Qt6::GuiPrivate) # qtx11extras_p.h
     endif()
 endif()

=== debian/changelog ===
yakuake (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:24:32 +0200
